
#include <AT89x51.H>
#include "Display.h"
#include "Port.h"

// Define keys here.
#define FOUR_UP		0X01
#define SIX_UP		0X02
#define ONE_DOWN	0X04
#define ONE_UP 		0X08

void main()
{
	unsigned char Score = 0;
	unsigned char Result;

	// Display score
	// on 7 segments.
	Display(Score);
	
	while(1)
	{
		// Get user input and store in Result (variable).
		Result = getkey(P1);

		switch(Result)
		{
		// One up key is pressed.
		case ONE_UP:
			if(Score < 99)
				Score ++;
			Display(Score);
			break;

		// One down key is pressed.
		case ONE_DOWN:
			if(Score > 0)
				Score --;
			Display(Score);
			break;

		// Four up key is pressed.
		case FOUR_UP:
			if(Score < 96)
				Score += 4;
			else
				Score = 99;
			Display(Score);
			break;
		
		// Six up key is pressed.
		case SIX_UP:
			if(Score < 94)
				Score += 6;
			else
				Score = 99;
			Display(Score);
			break;
		}
	}
}

